<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.josast</groupId>
		<artifactId>JOSAST-parent</artifactId>
		<version>0.0.2-SNAPSHOT</version>
	</parent>


	<artifactId>ModuleSoundModem</artifactId>
	<!-- <version>0.0.1-SNAPSHOT</version> -->
	<packaging>jar</packaging>


	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

		<!-- <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> 
			<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> -->
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<plugin.compiler.version>2.3.2</plugin.compiler.version>
	</properties>



	<dependencies>

		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleConfig</artifactId>
			<version>0.2</version>
		</dependency>

		<dependency>
			<groupId>commons-cli</groupId>
			<artifactId>commons-cli</artifactId>
			<version>1.4</version>
		</dependency>
    <dependency>
<groupId>org.junit.jupiter</groupId>
		<artifactId>junit-jupiter-engine</artifactId>
		<version>5.5.2</version>
		<scope>test</scope>
    </dependency>
    		<!-- https://mvnrepository.com/artifact/name.valery1707.kaitai/kaitai-maven-plugin -->
<!-- 		<dependency> -->
<!-- 			<groupId>name.valery1707.kaitai</groupId> -->
<!-- 			<artifactId>kaitai-maven-plugin</artifactId> -->
<!-- 			<version>${kaitai-maven-plugin-version}</version> -->
<!-- 		</dependency> -->

		<!-- https://mvnrepository.com/artifact/io.kaitai/kaitai-struct-runtime -->
		<dependency>
			<groupId>io.kaitai</groupId>
			<artifactId>kaitai-struct-runtime</artifactId>
			<version>0.8</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				
				<executions>
					<execution>
						<id>make-assembly</id> <!-- this is used for inheritance merges -->
						<phase>package</phase> <!-- bind to the packaging phase -->
						<goals>
							<goal>single</goal>
						</goals>
					</execution>

				</executions>
				<configuration>
					<archive>
						<manifest>
							<mainClass>
								org.josast.ModuleSoundModem.SoundModemCli
							</mainClass>
						</manifest>
					</archive>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>


			</plugin>
		</plugins>
	</build>

</project>
